Subject: I came to you in the country, I have no money, looking for a rich man!

From: Olya <[email-masked]>
Date: Mon, 1 Feb 2010 06:03:08 -0800 (PST)

Hi - I write anything else - but it is not beautiful it turns out,
met - do you take me with love, we both felt good
- and then you left and never came back, I again want to see you, Christine.

[ Click here ]